/* yForth? - A Forth interpreter written in ANSI C
 * Copyright (C) 2012 Luca Padovani
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * ------------------------------------------------------------------------
 * Module name:     localse.c
 * Abstract:        locals-extension word set
 */

#include "yforth.h"
#include "core.h"
#include "locals.h"
#include "localse.h"

/**************************************************************************/
/* WORDS ******************************************************************/
/**************************************************************************/

void _locals_bar() {
	while (1) {
		_b_l();
		_word();
		_count();
		if (sp[0] != 1 || *((Char *) sp[1]) != '|') {
			_paren_local_paren();
			compile_cell((Cell) _to_r);
		} else break;
	}
}

